import { CanvasVideoFrameRenderer } from "./canvas.js";
export class BitmapVideoFrameRenderer extends CanvasVideoFrameRenderer {
    #context;
    constructor(canvas) {
        super(canvas);
        this.#context = this.canvas.getContext("bitmaprenderer", {
            alpha: false,
        });
    }
    async draw(frame) {
        const bitmap = await createImageBitmap(frame);
        this.#context.transferFromImageBitmap(bitmap);
    }
}
//# sourceMappingURL=bitmap.js.map