import { CanvasVideoFrameRenderer } from "./canvas.js";
export declare class WebGLVideoFrameRenderer extends CanvasVideoFrameRenderer {
    #private;
    static vertexShaderSource: string;
    static fragmentShaderSource: string;
    static get isSupported(): boolean;
    /**
     * Create a new WebGL frame renderer.
     * @param canvas The canvas to render frames to.
     * @param enableCapture
     * Whether to allow capturing the canvas content using APIs like `readPixels` and `toDataURL`.
     * Enable this option may reduce performance.
     */
    constructor(canvas?: HTMLCanvasElement | OffscreenCanvas, enableCapture?: boolean);
    draw(frame: VideoFrame): Promise<void>;
}
//# sourceMappingURL=webgl.d.ts.map